#ifndef MISC_INCLUDED
#define MISC_INCLUDED
#include <vector>
#include "api.hh"

using namespace std;

bool operator < (const Position &a, const Position &b);
bool operator != (const Position &a, const Position &b);

bool operator < (const Tourelle &a, const Tourelle &b);

bool Valide(Position position);
vector<Position> Alentours(Position centre, int rayon);
vector<Position> Voisins(Position position);
vector<Position> Zone(Position centre, int distance);

int Distance_Carre(Position a, Position b);
Position Plus_Proche(vector<Position> positions, Position position);


#endif /* MISC_INCLUDED */
